Bug 1339256 - [RFE] rgw : support size suffixes for --max-size in radosgw-admin command
Summary: [RFE] rgw : support size suffixes for --max-size in radosgw-admin command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.2
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: 2.1
Assignee: Orit Wasserman
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-24 13:43 UTC by Vikhyat Umrao
Modified: 2019-10-10 12:08 UTC (History)
11 users (show)

Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:25:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16004 None None None 2016-05-24 13:45:45 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Vikhyat Umrao 2016-05-24 13:43:55 UTC
Description of problem:
rgw : support size suffixes for --max-size in radosgw-admin command 

Upstream RFE link : http://tracker.ceph.com/issues/16004

# radosgw-admin --help
usage: radosgw-admin <cmd> [options...]
[...]

Quota options:
   --bucket                  specified bucket for quota command
   --max-objects             specify max objects (negative value to disable)
   --max-size                specify max size (in bytes, negative value to disable) <------------
   --quota-scope             scope of quota (bucket, user)

- Currently `--max-size` only takes size in bytes.



Version-Release number of selected component (if applicable):
Red Hat Ceph Storage 1.3.2

Comment 5 Vikhyat Umrao 2016-05-24 17:47:25 UTC
Upstream patch : https://github.com/ceph/ceph/pull/9297

Comment 8 Vikhyat Umrao 2016-06-16 07:18:34 UTC
Upstream Jewel Backport Tracker : http://tracker.ceph.com/issues/16339
Upstream Jewel Backport PR : https://github.com/ceph/ceph/pull/9743

Comment 13 errata-xmlrpc 2016-11-22 19:25:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.